GET
/
agents
List agents
curl --request GET \
  --url https://your_salambo_base_url/api/v1/agents \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "object": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "is_active": true,
      "created_at": 123,
      "updated_at": 123,
      "description": "<string>",
      "icon": "<string>",
      "command_content": "<string>"
    }
  ],
  "has_more": true,
  "first_id": "<string>",
  "last_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
after
string<uuid>

Response

Agent list.

object
string
required
Allowed value: "list"
data
object[]
required
has_more
boolean
required
first_id
string | null
required
last_id
string | null
required